;;; fibs.el --- Play backgammon with FIBS -*- lexical-binding: t; -*-

;;; Commentary:

;; fibs.com is one of the oldest backgammon servers out there, and it's
;; accessible via telnet.  This package provides a wrapper to enable you to play
;; backgammon on fibs.com more easily than just opening a telnet session
;; yourself.

;;; TODO:

;; - Automatically log in.
;; - Add a `fibs-quit' function to kill the telnet server and buffer.

;;; Code:

(require 'telnet)

(defgroup fibs nil
  "Customizations for FIBS, the First Internet Backgammon Server."
  :group 'games)

(defcustom fibs-server "fibs.com"
  "The server to connect to FIBS with."
  :type 'string)

(defcustom fibs-port 4321
  "The port to connect to FIBS with."
  :type 'number)

;;;###autoload
(defun fibs ()
  (interactive)
  (telnet fibs-server fibs-port))

(provide 'fibs)
;;; fibs.el ends here
